Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer
Class DummyWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.DummyWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public class DummyWriter

extends AbstractMonitoringWriter

A writer that does nothing but consuming records.

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Constructor Summary
`DummyWriter(Configuration configuration)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `init()` Implementing classes should indicate an initialization error by throwing an `Exception`.
`boolean` | `newMonitoringRecord(IMonitoringRecord record)` This method consumes the record but does nothing with it.
`void` | `terminate()` Terminates the writer.

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`newMonitoringRecordNonBlocking, setController, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DummyWriter

    public DummyWriter(Configuration configuration)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this writer.

Method Detail

### newMonitoringRecord

    public boolean newMonitoringRecord(IMonitoringRecord record)

  This method consumes the record but does nothing with it.

  Parameters:
    `record` - The record to consume.
  Returns:
    True.

### terminate

    public void terminate()

  Terminates the writer.

### init

    public void init()

  Description copied from class: `AbstractMonitoringWriter`
  Implementing classes should indicate an initialization error by throwing an `Exception`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net